<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package industries
 */

get_header();
?>


<div class="header-fixed-space-height">

</div>

<main id="primary" class="site-main">

  <?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
  <header>
    <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
  </header>
  <?php
			endif;
?>



<!-- inner banner -->
<section class="inner-banner">
	<div class="w3l-breadcrumb">
		<div class="container">
			<h4 class="inner-text-title font-weight-bold mb-2">
      <?php the_archive_title("");?>
			</h4>
			<!-- archive breadcrumb -->
			<?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
			<?php if( $BreadcrumbsStatus==1 ){?>
			<div class="breadcrumbs-custom-path AllBreadcrumbs">
				<?php get_breadcrumb(); ?>
			</div>
			<?php }?>
			<!-- //archive breadcrumb -->

		</div>
	</div>
</section>
<!-- //inner banner -->


<section class="w3l-blog">
	<div class="text-element-9 py-5">
		<div class="container py-md-5 py-4 BlogHomeLayout">

      <div class="row grid-text-9">

                    <?php	$BlogHomePostsLayout=get_theme_mod( "BlogHomePostsLayout");
                    // echo 'Article Layout : '.$w3layoutsArticleLayout;
                    ?>
                    <?php	if($BlogHomePostsLayout=='sidebarleft'){ get_sidebar(); }?>
                    <?php
                    if($BlogHomePostsLayout!='sidebarnone'){?>

                    <div class="col-lg-8 text11-content">
                    <?php }
                    if($BlogHomePostsLayout=='sidebarnone'){?>
                    <div class="col-lg-12 text11-content">
                    <?php }?>

                    
                            <?php
                            /* Start the Loop */
                            while ( have_posts() ) :
                            the_post();

                            /*
                            * Include the Post-Type-specific template for the content.
                            * If you want to override this in a child theme, then include a file
                            * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                            */
                            get_template_part( 'template-parts/content', get_post_type() );

                            endwhile;

                            // the_posts_navigation();

                            else :

                            get_template_part( 'template-parts/content', 'none' );

                            endif;
                            ?>

                    <!-- pagination -->
                    <div class="pagination-style mt-4 mb-0">
                        <?php w3layouts_pagination(); ?>
                    </div>
                    <!-- //pagination -->

                    </div>
        
                    <?php 
                    // if($BLOGlayoutselected==1){ get_sidebar(); }
                    ?>
          
                    <?php	if($BlogHomePostsLayout=='sidebarright'){ get_sidebar(); }?>

                </div>
        </div>
    </div>
</section>
</main>




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script> <!-- //light and dark mode switch js -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-1.9.1.min.js"></script>
<!-- faq -->
<script>
  const items = document.querySelectorAll(".accordion button");

  function toggleAccordion() {
    const itemToggle = this.getAttribute('aria-expanded');

    for (i = 0; i < items.length; i++) {
      items[i].setAttribute('aria-expanded', 'false');
    }

    if (itemToggle == 'false') {
      this.setAttribute('aria-expanded', 'true');
    }
  }

  items.forEach(item => item.addEventListener('click', toggleAccordion));
</script>
<!-- //faq -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/easyResponsiveTabs.js"></script>
<!--Plug-in Initialisation-->
<script type="text/javascript">
  jQuery(document).ready(function () {
    //Horizontal Tab
    jQuery('#parentHorizontalTab').easyResponsiveTabs({
      type: 'default', //Types: default, vertical, accordion
      width: 'auto', //auto or any width like 600px
      fit: true, // 100% fit in a container
      tabidentify: 'hor_1', // The tab groups identifier
      activate: function (event) { // Callback function if tab is switched
        var jQuerytab = jQuery(this);
        var jQueryinfo = jQuery('#nested-tabInfo');
        var jQueryname = jQuery('span', jQueryinfo);
        jQueryname.text(jQuerytab.text());
        jQueryinfo.show();
      }
    });
  });
</script>

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for banner slider-->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-one').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1
        },
        480: {
          items: 1
        },
        667: {
          items: 1
        },
        1000: {
          items: 1
        }
      }
    })
  })
</script>
<!-- //script -->
<!-- owl carousel -->


<!-- script for customers -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      dots: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 3,
          nav: true
        },
        480: {
          items: 3,
          nav: true
        },
        667: {
          items: 3,
          nav: true
        },
        800: {
          items: 4,
          nav: true
        },
        1000: {
          items: 5,
          nav: true
        }
      }
    })
  })
</script>
<!-- //customers owlcarousel -->

<!--/MENU-JS-->
<script>
  jQuery(window).on("scroll", function () {
    var scroll = jQuery(window).scrollTop();

    if (scroll >= 80) {
      jQuery("#site-header").addClass("nav-fixed");
    } else {
      jQuery("#site-header").removeClass("nav-fixed");
    }
  });

  //Main navigation Active Class Add Remove
  jQuery(".navbar-toggler").on("click", function () {
    jQuery("header").toggleClass("active");
  });
  jQuery(document).on("ready", function () {
    if (jQuery(window).width() > 991) {
      jQuery("header").removeClass("active");
    }
    jQuery(window).on("resize", function () {
      if (jQuery(window).width() > 991) {
        jQuery("header").removeClass("active");
      }
    });
  });
</script>
<!--//MENU-JS-->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script><!-- //bootstrap js -->

<?php }

get_footer(); ?>
<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- Template JavaScript -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script> <!-- //light and dark mode switch js -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-1.9.1.min.js"></script>
<!-- faq -->
<script>
  const items = document.querySelectorAll(".accordion button");

  function toggleAccordion() {
    const itemToggle = this.getAttribute('aria-expanded');

    for (i = 0; i < items.length; i++) {
      items[i].setAttribute('aria-expanded', 'false');
    }

    if (itemToggle == 'false') {
      this.setAttribute('aria-expanded', 'true');
    }
  }

  items.forEach(item => item.addEventListener('click', toggleAccordion));
</script>
<!-- //faq -->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/easyResponsiveTabs.js"></script>
<!--Plug-in Initialisation-->
<script type="text/javascript">
  jQuery(document).ready(function () {
    //Horizontal Tab
    jQuery('#parentHorizontalTab').easyResponsiveTabs({
      type: 'default', //Types: default, vertical, accordion
      width: 'auto', //auto or any width like 600px
      fit: true, // 100% fit in a container
      tabidentify: 'hor_1', // The tab groups identifier
      activate: function (event) { // Callback function if tab is switched
        var jQuerytab = jQuery(this);
        var jQueryinfo = jQuery('#nested-tabInfo');
        var jQueryname = jQuery('span', jQueryinfo);
        jQueryname.text(jQuerytab.text());
        jQueryinfo.show();
      }
    });
  });
</script>

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for banner slider-->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-one').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1
        },
        480: {
          items: 1
        },
        667: {
          items: 1
        },
        1000: {
          items: 1
        }
      }
    })
  })
</script>
<!-- //script -->
<!-- owl carousel -->


<!-- script for customers -->
<script>
  jQuery(document).ready(function () {
    jQuery('.owl-three').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      dots: false,
      responsiveClass: true,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 3,
          nav: true
        },
        480: {
          items: 3,
          nav: true
        },
        667: {
          items: 3,
          nav: true
        },
        800: {
          items: 4,
          nav: true
        },
        1000: {
          items: 5,
          nav: true
        }
      }
    })
  })
</script>
<!-- //customers owlcarousel -->

<!--/MENU-JS-->
<script>
  jQuery(window).on("scroll", function () {
    var scroll = jQuery(window).scrollTop();

    if (scroll >= 80) {
      jQuery("#site-header").addClass("nav-fixed");
    } else {
      jQuery("#site-header").removeClass("nav-fixed");
    }
  });

  //Main navigation Active Class Add Remove
  jQuery(".navbar-toggler").on("click", function () {
    jQuery("header").toggleClass("active");
  });
  jQuery(document).on("ready", function () {
    if (jQuery(window).width() > 991) {
      jQuery("header").removeClass("active");
    }
    jQuery(window).on("resize", function () {
      if (jQuery(window).width() > 991) {
        jQuery("header").removeClass("active");
      }
    });
  });
</script>
<!--//MENU-JS-->

<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script><!-- //bootstrap js -->

<?php }

get_footer(); ?>