<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package industries
 */

?>

<div class="header-fixed-space-height">

</div>



<!-- inner banner -->
<section class="inner-banner">
  <div class="w3l-breadcrumb">
      <div class="container">
          <?php $BlogSinglePageMainTitleStatus = get_theme_mod( "BlogSinglePageMainTitleRequired","1")?>
          <?php if( $BlogSinglePageMainTitleStatus==1 ){?>
              <h4 class="inner-text-title BlogSinglePageBanner font-weight-bold mb-2">
              <?php echo get_theme_mod( "BlogSinglePageBannerMainTitle" );if(get_theme_mod( "BlogSinglePageBannerMainTitle" )==''){echo 'Blog Single';}?></h4>
          <?php }?>
          
          <!-- Blog Single breadcrumb -->
          <?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
          <?php if( $BreadcrumbsStatus==1 ){?>
          <div class="breadcrumbs-custom-path AllBreadcrumbs">
              <?php get_breadcrumb(); ?>
          </div>
          <?php }?>
          <!-- //Blog Single breadcrumb -->

      </div>
  </div>
</section>
<!-- //inner banner -->


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>



<section class="w3l-blog">
  <div class="text-element-9 py-5">
      <div class="container py-md-5 py-4 BlogArticle">
          <div class="row grid-text-9">

                    <!-- single post -->
                    <?php	$w3layoutsArticleLayout=get_theme_mod( "w3layoutsArticleLayout");
                    // echo 'Article Layout : '.$w3layoutsArticleLayout;
                    ?>

                    <?php	if($w3layoutsArticleLayout=='sidebarleft'){ get_sidebar(); }?>
                    <?php
                                if($w3layoutsArticleLayout!='sidebarnone'){?>

                    <div class="col-lg-8 text11-content">
                        <?php }
                                    if($w3layoutsArticleLayout=='sidebarnone'){?>
                        <div class="col-lg-12 text11-content">

                        <?php }  ?>

                      <div class="single-bottom-blog">
                        <div class="top-bg bg-img">
                          <?php if ( has_post_thumbnail() ) { ?>
                              <?php w3layouts_post_thumbnail(); ?>
                          <?php }?>
                        </div>

                        <div class="bottom-grid mt-4 pt-md-2">
                          <ul class="blog-author-date mb-sm-4 mb-3 d-flex justify-content-between align-items-end">
                              
                              <?php $BlogSinglePageAuthStatus = get_theme_mod( "BlogSinglePageAuthRequired","1")?>
                              <?php if( $BlogSinglePageAuthStatus==1 ){?>
                                <li class="author"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID'));?>">
                                  <i class="fas fa-user mr-1" aria-hidden="true"></i>
                                  <?php echo w3layouts_posted_by();?></a>
                                </li>
                              <?php }?>
                              
                              <?php $BlogSinglePageDateStatus = get_theme_mod( "BlogSinglePageDateRequired","1")?>
                              <?php if( $BlogSinglePageDateStatus==1 ){?>
                                  <li><i class="fas fa-clock mr-1" aria-hidden="true"></i><?php echo get_the_date( 'F j, Y' ); ?></li>
                              <?php }?>
                          </ul>
                          <h3><?php
                            if ( is_singular() ) :
                            the_title( '', '' );
                            else :
                            the_title( '', '' );
                            endif;
                          ?> </h3>

                    

                    <div class="entry-content">
                        <div class="single-post-content">
                            <?php
                            the_content(
                                sprintf(
                                    wp_kses(
                                        /* translators: %s: Name of current post. Only visible to screen readers */
                                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'w3layouts' ),
                                        array(
                                            'span' => array(
                                                'class' => array(),
                                            ),
                                        )
                                    ),
                                    wp_kses_post( get_the_title() )
                                )
                            );

                            wp_link_pages(
                                array(
                                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'w3layouts' ),
                                    'after'  => '</div>',
                                )
                            );

                            ?>


                            <?php $BlogArticleAuthorCardStatus = get_theme_mod( "BlogArticleAuthorCardRequired","1")?>
                            <?php if( $BlogArticleAuthorCardStatus==1 ){?>
                            <div class="author-card author-listhny my-lg-5 my-sm-4 w3ArticleAuth">
                                <div class="row">
                                    <div class="author-left col-sm-3 mb-sm-0 mb-4">
                                        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID'));?>">
                                            <img class="img-fluid" src="<?php print get_avatar_url( get_the_author_meta( 'ID' ), ['size' => '200'] ); ?>"
                                                alt="<?php the_author_meta('display_name'); ?>">
                                        </a>
                                    </div>
                                    <div class="author-right col-sm-9 position-relative align-self-center">

                                        <h4><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID'));?>"
                                                class="title-team-28"><?php the_author_meta('display_name'); ?></a></h4>
                                        <p class="para-team mb-0"><?php the_author_meta('user_description'); ?></p>

                                        <div class="share-icons mt-4">
                                            <?php
                                if(!empty(get_the_author_meta('twitterurl')))
                                {?>
                                            <a href="<?php the_author_meta('twitterurl'); ?>"><span class="fa fa-twitter"></span></a>

                                            <?php }
                                ?>
                                            <?php
                                    if(!empty(get_the_author_meta('facebookurl')))
                                    {?>
                                            <a href="<?php the_author_meta('facebookurl'); ?>"><span class="fa fa-facebook"></span></a>

                                            <?php }
                                    ?>
                                            <?php
                                    if(!empty(get_the_author_meta('instagramurl')))
                                    {?>
                                            <a href="<?php the_author_meta('instagramurl'); ?>"><span class="fa fa-instagram"></span></a>

                                            <?php }
                                    ?>

                                            <?php
                                    if(!empty(get_the_author_meta('dribbleurl')))
                                    {?>
                                            <a href="<?php the_author_meta('dribbleurl'); ?>"><span class="fa fa-dribbble"></span></a>

                                            <?php }?>
                                            <?php
                                    if(!empty(get_the_author_meta('vkurl')))
                                    {?>
                                            <a href="<?php the_author_meta('vkurl'); ?>"><span class="fa fa-vk"></span></a>

                                            <?php }
                                    ?>
                                            <?php
                                    if(!empty(get_the_author_meta('pinteresturl')))
                                    {?>
                                            <a href="<?php the_author_meta('pinteresturl'); ?>"><span class="fa fa-pinterest"></span></a>

                                            <?php }
                                    ?>
                                            <?php
                                    if(!empty(get_the_author_meta('tumblrurl')))
                                    {?>
                                            <a href="<?php the_author_meta('tumblrurl'); ?>"><span class="fa fa-tumblr"></span></a>

                                            <?php }
                                    ?>


                                              </div>
                                          </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php }?>
                        </div>
                    </div>
                    <!-- .entry-content -->

                    <?php	the_post_navigation(
                        array(
                            'prev_text' => '<span class="fa fa-arrow-left" aria-hidden="true"></span> <span class="nav-subtitle">  ' . esc_html__( 'Previous Post', 'w3layouts' ) . '</span>',
                            'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next Post', 'w3layouts' ) . ' </span> <span class="fa fa-arrow-right" aria-hidden="true"></span>',
                        )
                    );
                    ?>


                    <?php $BlogArticlePostCommentsStatus = get_theme_mod( "PostCommentSectionRequired","1")?>
                    <?php if( $BlogArticlePostCommentsStatus==1 ){?>
                    <div class="w3PostComments">
                        <?php // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                        ?>
                    </div>
                    <?php }?>

                </div>

                <?php 
                // if($BLOGlayoutselected==1){ get_sidebar(); }
                ?>
                <?php if($w3layoutsArticleLayout=='sidebarright'){ get_sidebar(); }?>

            </div>
		</div>
	</div>
</section>
</article><!-- #post-<?php the_ID(); ?> -->



<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- Js scripts -->

<!-- move top -->
<button onclick="topFunction()" id="movetop" title="Go to top">
	<span class="fas fa-level-up-alt" aria-hidden="true"></span>
</button>
<script>
	// When the user scrolls down 20px from the top of the document, show the button
	window.onscroll = function () {
		scrollFunction()
	};

	function scrollFunction() {
		if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
			document.getElementById("movetop").style.display = "block";
		} else {
			document.getElementById("movetop").style.display = "none";
		}
	}

	// When the user clicks on the button, scroll to the top of the document
	function topFunction() {
		document.body.scrollTop = 0;
		document.documentElement.scrollTop = 0;
	}
</script>
<!-- //move top -->

<!-- banner image moving effect -->
<script>
	var lFollowX = 0,
		lFollowY = 0,
		x = 0,
		y = 0,
		friction = 1 / 30;

	function animate() {
		x += (lFollowX - x) * friction;
		y += (lFollowY - y) * friction;

		translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';

		jQuery('.banner-image').css({
			'-webit-transform': translate,
			'-moz-transform': translate,
			'transform': translate
		});

		window.requestAnimationFrame(animate);
	}

	jQuery(window).on('mousemove click', function (e) {

		var lMouseX = Math.max(-100, Math.min(100, jQuery(window).width() / 2 - e.clientX));
		var lMouseY = Math.max(-100, Math.min(100, jQuery(window).height() / 2 - e.clientY));
		lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow
		lFollowY = (10 * lMouseY) / 100;

	});

	animate();
</script>
<!-- //banner image moving effect -->

<!-- counter for stats -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/counter.js"></script>
<!-- //counter for stats -->

<!-- magnific popup -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.min.js"></script>
<script>
	jQuery(document).ready(function () {
		jQuery('.popup-with-zoom-anim').magnificPopup({
			type: 'inline',

			fixedContentPos: false,
			fixedBgPos: true,

			overflowY: 'auto',

			closeBtnInside: true,
			preloader: false,

			midClick: true,
			removalDelay: 300,
			mainClass: 'my-mfp-zoom-in'
		});

		jQuery('.popup-with-move-anim').magnificPopup({
			type: 'inline',

			fixedContentPos: false,
			fixedBgPos: true,

			overflowY: 'auto',

			closeBtnInside: true,
			preloader: false,

			midClick: true,
			removalDelay: 300,
			mainClass: 'my-mfp-slide-bottom'
		});
	});
</script>
<!-- //magnific popup -->

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for tesimonials carousel slider -->
<script>
	jQuery(document).ready(function () {
		jQuery("#owl-demo2").owlCarousel({
			loop: true,
			nav: false,
			margin: 50,
			responsiveClass: true,
			responsive: {
				0: {
					items: 1,
					nav: false
				},
				736: {
					items: 1,
					nav: false
				},
				991: {
					items: 2,
					margin: 30,
					nav: false
				},
				1080: {
					items: 2,
					nav: false
				}
			}
		})
	})
</script>
<!-- //script for tesimonials carousel slider -->
<!-- owl carousel -->

<!-- theme switch js (light and dark)-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script>
<script>
	function autoType(elementClass, typingSpeed) {
		var thhis = jQuery(elementClass);
		thhis.css({
			"position": "relative",
			"display": "inline-block"
		});
		thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
		thhis = thhis.find(".text-js");
		var text = thhis.text().trim().split('');
		var amntOfChars = text.length;
		var newString = "";
		thhis.text("|");
		setTimeout(function () {
			thhis.css("opacity", 1);
			thhis.prev().removeAttr("style");
			thhis.text("");
			for (var i = 0; i < amntOfChars; i++) {
				(function (i, char) {
					setTimeout(function () {
						newString += char;
						thhis.text(newString);
					}, i * typingSpeed);
				})(i + 1, text[i]);
			}
		}, 1500);
	}

	jQuery(document).ready(function () {
		// Now to start autoTyping just call the autoType function with the 
		// class of outer div
		// The second paramter is the speed between each letter is typed.   
		autoType(".type-js", 200);
	});
</script>
<!-- //theme switch js (light and dark)-->

<!-- MENU-JS -->
<script>
	jQuery(window).on("scroll", function () {
		var scroll = jQuery(window).scrollTop();

		if (scroll >= 80) {
			jQuery("#site-header").addClass("nav-fixed");
		} else {
			jQuery("#site-header").removeClass("nav-fixed");
		}
	});

	//Main navigation Active Class Add Remove
	jQuery(".navbar-toggler").on("click", function () {
		jQuery("header").toggleClass("active");
	});
	jQuery(document).on("ready", function () {
		if (jQuery(window).width() > 991) {
			jQuery("header").removeClass("active");
		}
		jQuery(window).on("resize", function () {
			if (jQuery(window).width() > 991) {
				jQuery("header").removeClass("active");
			}
		});
	});
</script>
<!-- //MENU-JS -->

<!-- disable body scroll which navbar is in active -->
<script>
	jQuery(function () {
		jQuery('.navbar-toggler').click(function () {
			jQuery('body').toggleClass('noscroll');
		})
	});
</script>
<!-- //disable body scroll which navbar is in active -->

<!--bootstrap-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>
<!-- //bootstrap-->

<!-- //Js scripts -->

<?php }

get_footer(); ?>