<?php
/**
 * Template Name: Home Page
 */
?>

<?php get_header(); ?>

<div class="header-fixed-space-height">

</div>


<!-- homepage banner section -->

<section>
  <?php echo get_theme_mod( "HomePageBannerTopArea","" );?>
</section>

<?php $HomePageBannerRequir = get_theme_mod( "HomePageBannerRequired","1")?>
<?php if( $HomePageBannerRequir==1 ){?>
<section id="home" class="w3l-banner py-5">
    <div class="banner-image">

    </div>
    <div class="banner-content">
        <div class="container pt-5 pb-md-4 HomePageBanner">
            <div class="row align-items-center">
                <div class="col-lg-5 col-md-6 pt-md-0 pt-4">
                    <h3 class="mb-sm-4 mb-3 title"><?php echo get_theme_mod( "HomePageBannerTitle" );if(get_theme_mod( "HomePageBannerTitle" )==''){echo 'We build your Best';}?> 
                    <span class="d-block d-block-res"><span class="type-js">
                    <span class="text-js"><?php echo get_theme_mod( "HomePageBannerTypingTitle" );if(get_theme_mod( "HomePageBannerTypingTitle" )==''){echo 'Future!';}?></span></span></span>
                    </h3>
                    <p><?php echo get_theme_mod( "HomePageBannerContent","Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui seequi." );?></p>
                    <div class="mt-md-5 mt-4 mb-lg-0 mb-4">
                        <a class="btn btn-style" href="<?php echo get_theme_mod( "HomePageeBannerBtnURL","#url" ); ?>">
                        <?php echo get_theme_mod( "HomePageeBannerBtnText" );if(get_theme_mod( "HomePageeBannerBtnText" )==''){echo 'View our Works';}?></a>
                    </div>
                </div>
                <div class="col-md-6 banner-right mt-lg-4 mt-0 text-right offset-lg-1">
                    <img class="img-fluid" src="<?php if(get_theme_mod('HomePageBannerImage')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageBannerImage') );} if(wp_get_attachment_url(get_theme_mod('HomePageBannerImage'))=='') { echo  get_template_directory_uri()."/assets/images/banner2.jpg";  }?>" alt=" ">
                </div>
            </div>
        </div>
    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageBannerBottomArea","" );?>
</section>
<!-- //homepage banner section -->



<!-- homepage Grids section -->

<section>
  <?php echo get_theme_mod( "HomePageGridsTopArea","" );?>
</section>

<?php $HomePageGridsRequir = get_theme_mod( "HomePageGridsRequired","1")?>
<?php if( $HomePageGridsRequir==1 ){?>
<section class="about-section py-5">
    <div class="container py-lg-5 py-4 HomePageGrids">
        <div class="row justify-content-center">

            <?php $HomePageGrid1Requir = get_theme_mod( "HomePageGrid1Required","1")?>
            <?php if( $HomePageGrid1Requir==1 ){?>
            <div class="col-lg-4 col-md-6">
                <div class="about-single p-3 d-flex justify-content-between">
                    <div class="about-icon mr-3">
                        <i class="<?php echo get_theme_mod( "HomePageGrid1Icon" );if(get_theme_mod( "HomePageGrid1Icon" )==''){echo 'fas fa-tools';}?>" aria-hidden="true"></i>
                    </div>
                    <div class="about-content">
                        <h5 class="mb-3"><?php echo get_theme_mod( "HomePageGrid1Title" );if(get_theme_mod( "HomePageGrid1Title" )==''){echo 'Who we are';}?></h5>
                        <p><?php echo get_theme_mod( "HomePageGrid1Content","Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan." );?></p>
                    </div>
                </div>
            </div>
            <?php } ?>

            <?php $HomePageGrid2Requir = get_theme_mod( "HomePageGrid2Required","1")?>
            <?php if( $HomePageGrid2Requir==1 ){?>
            <div class="col-lg-4 col-md-6">
                <div class="about-single p-3 d-flex justify-content-between">
                    <div class="about-icon mr-3">
                        <i class="<?php echo get_theme_mod( "HomePageGrid2Icon" );if(get_theme_mod( "HomePageGrid2Icon" )==''){echo 'fas fa-tools';}?>fas fa-drafting-compass" aria-hidden="true"></i>
                    </div>
                    <div class="about-content">
                        <h5 class="mb-3"><?php echo get_theme_mod( "HomePageGrid2Title" );if(get_theme_mod( "HomePageGrid2Title" )==''){echo 'How we Work';}?></h5>
                        <p><?php echo get_theme_mod( "HomePageGrid2Content","Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan." );?></p>
                    </div>
                </div>
            </div>
            <?php } ?>

            <?php $HomePageGrid3Requir = get_theme_mod( "HomePageGrid3Required","1")?>
            <?php if( $HomePageGrid3Requir==1 ){?>
            <div class="col-lg-4 col-md-6">
                <div class="about-single p-3 d-flex justify-content-between">
                    <div class="about-icon mr-3">
                        <i class="<?php echo get_theme_mod( "HomePageGrid3Icon" );if(get_theme_mod( "HomePageGrid3Icon" )==''){echo 'fas fa-industry';}?>" aria-hidden="true"></i>
                    </div>
                    <div class="about-content">
                        <h5 class="mb-3"><?php echo get_theme_mod( "HomePageGrid3Title" );if(get_theme_mod( "HomePageGrid3Title" )==''){echo 'What we do';}?></h5>
                        <p><?php echo get_theme_mod( "HomePageGrid3Content","Sed ut perspiciatis unde omnis iste natus error sit accusa ntium dolor emque laudan." );?></p>
                    </div>
                </div>
            </div>
            <?php } ?>

        </div>
    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageGridsBottomArea","" );?>
</section>
<!-- //homepage Grids section -->


<!-- homepage about section -->

<section>
  <?php echo get_theme_mod( "HomePageAboutTopArea","" );?>
</section>

<?php $HomePageAboutRequir = get_theme_mod( "HomePageAboutRequired","1")?>
<?php if( $HomePageAboutRequir==1 ){?>
<section class="w3l-aboutblock pt-4 pb-5">
    <div class="container pb-md-5 pb-sm-4 HPAbout">
        <div class="row">
            <div class="col-lg-6 left-wthree-img mt-lg-0 mt-5 order-lg-first order-last">
                <img class="img-fluid img-responsive" src="<?php if(get_theme_mod('HomePageAboutImage')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageAboutImage') );} if(wp_get_attachment_url(get_theme_mod('HomePageAboutImage'))=='') { echo  get_template_directory_uri()."/assets/images/about.png";  }?>" alt=" ">
            </div>
            <div class="col-lg-6 about-right-faq align-self pl-lg-5 mt-xl-4 order-lg-last order-first">
                <h3 class="text-bgs mb-md-3 mb-2"><?php echo get_theme_mod( "HomePageAboutTitle1" );if(get_theme_mod( "HomePageAboutTitle1" )==''){echo 'Since <span>2000</span>';}?></h3>
                <h3 class="title-style"><?php echo get_theme_mod( "HomePageAboutTitle2" );if(get_theme_mod( "HomePageAboutTitle2" )==''){echo 'We Have <span>30+</span> Years Industrial Experience';}?></h3>
                <p class="ab-text mt-4 pt-lg-2"><?php echo get_theme_mod( "HomePageAboutpara1",'"Orem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula. Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat".');?></p>
                <p class="mt-4"><?php echo get_theme_mod( "HomePageAboutpara2","Semper at tempufddfel. Lorem ipsum dolor sit amet consectetur adipisicing elit. Non quae, fugiat. Lorem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula." );?></p>
                <img class="img-fluid mt-md-5 mt-4 img-dark-color" src="<?php if(get_theme_mod('HomePageAboutSignImage')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageAboutSignImage') );} if(wp_get_attachment_url(get_theme_mod('HomePageAboutSignImage'))=='') { echo  get_template_directory_uri()."/assets/images/sign.png";  }?>" alt=" ">
            </div>
        </div>
    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageAboutBottomArea","" );?>
</section>

<!-- homepage about section -->



<!-- Homepage Services Section -->

<section>
  <?php echo get_theme_mod( "HomePageServicesTopArea","" );?>
</section>

<?php $HomePageServicesRequir = get_theme_mod( "HomePageServicesRequired","1")?>
<?php if( $HomePageServicesRequir==1 ){?>
<section class="w3l-bottom-grids-6 service-w3l-bg py-5" id="services">

    <style>
    .service-w3l-bg {
        background: url(<?php if(get_theme_mod('HomePageServicesBgImage') !='') {
        echo wp_get_attachment_url(get_theme_mod('HomePageServicesBgImage'));
        }

        if(wp_get_attachment_url(get_theme_mod('HomePageServicesBgImage'))=='') {
        echo get_template_directory_uri()."/assets/images/bg1.jpg";
        }

        ?>);
        background-size: cover;
        background-repeat: no-repeat, no-repeat, no-repeat;
        background-position: center;
        background-attachment: fixed;
        position: relative;
        z-index: 1;
    }
    </style>
    <div class="container py-md-5 py-4 HomePageServices">
        <div class="title-main text-center mx-auto mb-5" style="max-width:600px;">
            <p class="mt-2 text-white"><?php echo get_theme_mod( "HomePageServicesTitle1" );if(get_theme_mod( "HomePageServicesTitle1" )==''){echo 'Our Services';}?></p>
            <h3 class="title-style text-white"><?php echo get_theme_mod( "HomePageServicesTitle2" );if(get_theme_mod( "HomePageServicesTitle2" )==''){echo 'High Performance Services For Multiple <span>Industries</span>';}?></h3>
        </div>
        <div class="row pt-md-4 justify-content-center">

            <?php $HomePageService1Requir = get_theme_mod( "HomePageService1Required","1")?>
            <?php if( $HomePageService1Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('HomePageService1Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageService1Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageService1Image'))=='') { echo  get_template_directory_uri()."/assets/images/img1.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "HomePageService1Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "HomePageService1Title" );if(get_theme_mod( "HomePageService1Title" )==''){echo 'Industrial Construction';}?></a></h4>
                    <p><?php echo get_theme_mod( "HomePageService1Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $HomePageService2Requir = get_theme_mod( "HomePageService2Required","1")?>
            <?php if( $HomePageService2Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-md-0 mt-sm-5 mt-4">
                <div class="area-box active">
                    <img class="img-fluid" src="<?php if(get_theme_mod('HomePageService2Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageService2Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageService2Image'))=='') { echo  get_template_directory_uri()."/assets/images/img3.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "HomePageService2Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "HomePageService2Title" );if(get_theme_mod( "HomePageService2Title" )==''){echo 'Mechanical Engineering';}?></a></h4>
                    <p><?php echo get_theme_mod( "HomePageService2Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $HomePageService3Requir = get_theme_mod( "HomePageService3Required","1")?>
            <?php if( $HomePageService3Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-lg-0 mt-sm-5 mt-4">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('HomePageService3Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageService3Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageService3Image'))=='') { echo  get_template_directory_uri()."/assets/images/img2.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "HomePageService3Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "HomePageService3Title" );if(get_theme_mod( "HomePageService3Title" )==''){echo 'Electronic Materials';}?></a></h4>
                    <p><?php echo get_theme_mod( "HomePageService3Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

        </div>
    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageServicesBottomArea","" );?>
</section>

<!-- //HomePage Services Section -->


<!-- HomePage CWP and Stats Section -->

<section>
  <?php echo get_theme_mod( "HomePageCWPStatsTopArea","" );?>
</section>

<?php $HomePageCWPStatsStatus = get_theme_mod( "HomePageCWPStatsRequired","1")?>
<?php if( $HomePageCWPStatsStatus==1 ){?>
<section class="image-with-content py-5">
    <div class="container py-md-5 py-4 HomePageCWPStats">

        <?php $HomePageCWPStatus = get_theme_mod( "HomePageCWPRequired","1")?>
        <?php if( $HomePageCWPStatus==1 ){?>
        <div class="row align-items-center">
            <div class="col-lg-6 content-sec-1">
                <h3 class="title-style mb-3"><?php echo get_theme_mod( "HomePageCWPTitle" );if(get_theme_mod( "HomePageCWPTitle" )==''){echo 'Expert Workers Are Giving Best Services To Build Your <span>Dream Factory';}?></span></h3>
                <p><?php echo get_theme_mod( "HomePageCWPContent","Sed ut perspiciatis unde omnis iste natus error sit doloremque laudantium, totam rem aperiam, veritatis et quasi." );?>
                </p>
                <a class="btn btn-style mt-lg-5 mt-4" href="<?php echo get_theme_mod( "HomePageCWPBtnURL","#url" ); ?>">
                <?php echo get_theme_mod( "HomePageCWPBtnText" );if(get_theme_mod( "HomePageCWPBtnText" )==''){echo "Let's Know More";}?></a>
            </div>
            <div class="col-lg-6 pl-lg-5 mt-lg-0 mt-5">
                <img src="<?php if(get_theme_mod('HomePageCWPImage')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageCWPImage') );} if(wp_get_attachment_url(get_theme_mod('HomePageCWPImage'))=='') { echo  get_template_directory_uri()."/assets/images/st1.jpg";  }?>" alt="product" class="img-responsive">
            </div>
        </div>
        <?php } ?>
        
        <?php $HomePageStatsStatus = get_theme_mod( "HomePageStatsRequired","1")?>
        <?php if( $HomePageStatsStatus==1 ){?>
        <div class="w3-stats mt-5 pt-4">
            <div class="row text-center justify-content-center">

                <?php $HomePageStat1Status = get_theme_mod( "HomePageStat1Required","1")?>
                <?php if( $HomePageStat1Status==1 ){?>
                <div class="col-md-3 col-6">
                    <div class="counter">
                        <div class="timer count-title count-number" data-to="<?php echo get_theme_mod( "HomePageStat1Number" );if(get_theme_mod( "HomePageStat1Number" )==''){echo '5100';}?>" data-speed="1500"></div>
                        <p class="count-text"><?php echo get_theme_mod( "HomePageStat1Title" );if(get_theme_mod( "HomePageStat1Title" )==''){echo 'Total Projects';}?></p>
                    </div>
                </div>
                <?php } ?>

                <?php $HomePageStat2Status = get_theme_mod( "HomePageStat2Required","1")?>
                <?php if( $HomePageStat2Status==1 ){?>
                <div class="col-md-3 col-6">
                    <div class="counter">
                        <div class="timer count-title count-number" data-to="<?php echo get_theme_mod( "HomePageStat2Number" );if(get_theme_mod( "HomePageStat2Number" )==''){echo '9716';}?>" data-speed="1500"></div>
                        <p class="count-text"><?php echo get_theme_mod( "HomePageStat2Title" );if(get_theme_mod( "HomePageStat2Title" )==''){echo 'Happy Clients';}?></p>
                    </div>
                </div>
                <?php } ?>

                <?php $HomePageStat3Status = get_theme_mod( "HomePageStat3Required","1")?>
                <?php if( $HomePageStat3Status==1 ){?>
                <div class="col-md-3 col-6 mt-md-0 mt-4">
                    <div class="counter">
                        <div class="timer count-title count-number" data-to="<?php echo get_theme_mod( "HomePageStat3Number" );if(get_theme_mod( "HomePageStat3Number" )==''){echo '7600';}?>" data-speed="1500"></div>
                        <p class="count-text"><?php echo get_theme_mod( "HomePageStat3Title" );if(get_theme_mod( "HomePageStat3Title" )==''){echo 'Cup Of Coffee';}?></p>
                    </div>
                </div>
                <?php } ?>

                <?php $HomePageStat4Status = get_theme_mod( "HomePageStat4Required","1")?>
                <?php if( $HomePageStat4Status==1 ){?>
                <div class="col-md-3 col-6 mt-md-0 mt-4">
                    <div class="counter border-right-0">
                        <div class="timer count-title count-number" data-to="<?php echo get_theme_mod( "HomePageStat4Number" );if(get_theme_mod( "HomePageStat4Number" )==''){echo '967';}?>" data-speed="1500"></div>
                        <p class="count-text"><?php echo get_theme_mod( "HomePageStat4Title" );if(get_theme_mod( "HomePageStat4Title" )==''){echo 'Awards Won';}?></p>
                    </div>
                </div>
                <?php } ?>

            </div>
        </div>
        <?php } ?>

    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageCWPStatsBottomArea","" );?>
</section>

<!-- //HomePage CWP and Stats Section -->



<!-- HomePage Cover Section -->

<section>
  <?php echo get_theme_mod( "HomePageCoverTopArea","" );?>
</section>

<?php $HomePageCoverStatus = get_theme_mod( "HomePageCoverRequired","1")?>
<?php if( $HomePageCoverStatus==1 ){?>
<section class="w3l-content-sec py-5">
    <style>
    .w3l-content-sec {
        background: url(<?php if(get_theme_mod('HomePageCoverBgImage') !='') {
        echo wp_get_attachment_url(get_theme_mod('HomePageCoverBgImage'));
        }

        if(wp_get_attachment_url(get_theme_mod('HomePageCoverBgImage'))=='') {
        echo get_template_directory_uri()."/assets/images/bg2.png";
        }

        ?>);
        background-size: cover;
        background-repeat: no-repeat, no-repeat, no-repeat;
        background-position: center;
        position: relative;
        min-height: 600px;
    }
    </style>
    <div class="container py-md-5 py-4 HomePageCover">
        <div class="title-main mb-5" style="max-width:600px;">
            <p class="mt-2 text-white"><?php echo get_theme_mod( "HomePageCoverTitle1" );if(get_theme_mod( "HomePageCoverTitle1" )==''){echo 'Industry';}?></p>
            <h3 class="title-style text-white"><?php echo get_theme_mod( "HomePageCoverTitle2" );if(get_theme_mod( "HomePageCoverTitle2" )==''){echo 'We Provide top industrial <span>Services</span>';}?>
            </h3>
        </div>
        <div class="banner-play-w3">
            <!--//video-->
            <a href="#small-dialog" class="popup-with-zoom-anim play-view text-center pl-3">
                <span class="video-play-icon">
                    <span class="fa fa-play"></span>
                </span>
            </a>
            <!-- dialog itself, mfp-hide class is required to make dialog hidden -->
            <div id="small-dialog" class="zoom-anim-dialog mfp-hide">
                <iframe src="<?php echo get_theme_mod( "HomePageCoverPopupVideoUrl", 'https://player.vimeo.com/video/13618190');?>" frameborder="0" allow="autoplay; fullscreen"
                    allowfullscreen></iframe>
            </div>
            <!--//video-->
        </div>
    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageCoverBottomArea","" );?>
</section>

<!-- //HomePage Cover Section -->



<!-- HomePage Cover Grids Section -->

<section>
  <?php echo get_theme_mod( "HomePageCoverGridsTopArea","" );?>
</section>

<?php $HomePageCoverGridsStatus = get_theme_mod( "HomePageCoverGridsRequired","1")?>
<?php if( $HomePageCoverGridsStatus==1 ){?>
<section class="top-content-w3l">
    <div class="row mx-0">

        <?php $HomePageCoverGrid1Status = get_theme_mod( "HomePageCoverGrid1Required","1")?>
        <?php if( $HomePageCoverGrid1Status==1 ){?>
            <div class="col-md-3 col-sm-4 col-6 offset-md-3">
                <div class="grid-content-spe HomePageCoverGrids">
                    <img src="<?php if(get_theme_mod('HomePageCoverGrid1Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageCoverGrid1Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageCoverGrid1Image'))=='') { echo get_template_directory_uri()."/assets/images/a1.jpg"; }?>" class="img-fluid" alt="" />
                    <div class="content-section-grid">
                        <h4><a href="<?php echo get_theme_mod( "HomePageCoverGrid1TitleUrl", '#url');?>">
                        <?php echo get_theme_mod( "HomePageCoverGrid1Title" );if(get_theme_mod( "HomePageCoverGrid1Title" )==''){echo 'Civil Engineering';}?></a></h4>
                    </div>
                </div>
            </div>
        <?php } ?>

        <?php $HomePageCoverGrid2Status = get_theme_mod( "HomePageCoverGrid2Required","1")?>
        <?php if( $HomePageCoverGrid2Status==1 ){?>
        <div class="col-md-3 col-sm-4 col-6">
            <div class="grid-content-spe">
                <img src="<?php if(get_theme_mod('HomePageCoverGrid2Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageCoverGrid2Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageCoverGrid2Image'))=='') { echo get_template_directory_uri()."/assets/images/a2.jpg"; }?>" class="img-fluid" alt="" />
                <div class="content-section-grid">
                    <h4><a href="<?php echo get_theme_mod( "HomePageCoverGrid2TitleUrl", '#url');?>">
                    <?php echo get_theme_mod( "HomePageCoverGrid2Title" );if(get_theme_mod( "HomePageCoverGrid2Title" )==''){echo 'Oil & Gas Engineering';}?></a></h4>
                </div>
            </div>
        </div>
        <?php } ?>

        <?php $HomePageCoverGrid3Status = get_theme_mod( "HomePageCoverGrid3Required","1")?>
        <?php if( $HomePageCoverGrid3Status==1 ){?>
        <div class="col-md-3 col-sm-4 col-6 mt-sm-0 mt-4">
            <div class="grid-content-spe">
                <img src="<?php if(get_theme_mod('HomePageCoverGrid3Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageCoverGrid3Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageCoverGrid3Image'))=='') { echo get_template_directory_uri()."/assets/images/a3.jpg"; }?>" class="img-fluid" alt="" />
                <div class="content-section-grid">
                    <h4><a href="<?php echo get_theme_mod( "HomePageCoverGrid3TitleUrl", '#url');?>">
                    <?php echo get_theme_mod( "HomePageCoverGrid3Title" );if(get_theme_mod( "HomePageCoverGrid3Title" )==''){echo 'Chemical Research';}?></a></h4>
                </div>
            </div>
        </div>
        <?php } ?>

    </div>
</section>
<?php } ?>

<section>
  <?php echo get_theme_mod( "HomePageCoverGridsBottomArea","" );?>
</section>

<!-- //HomePage Cover Grids Section -->



<!-- HomePage Testimonials -->

<section>
  <?php echo get_theme_mod( "HomePageTestimonialsTopArea","" );?>
</section>

<?php $HomePageTestimonialsStatus = get_theme_mod( "HomePageTestimonialsRequired","1")?>
<?php if( $HomePageTestimonialsStatus==1 ){?>

<section class="w3l-clients py-5 mb-5 mt-4" id="testimonials">
    <div class="container py-md-5 py-4 HomePageTestimonials">
        <div class="title-main text-center mx-auto mb-5" style="max-width:600px;">
            <p class="mt-2"><?php echo get_theme_mod( "HomePageTestimonialsTitle1" );if(get_theme_mod( "HomePageTestimonialsTitle1" )==''){echo 'Testimonials';}?></p>
            <h3 class="title-style"><?php echo get_theme_mod( "HomePageTestimonialsTitle2" );if(get_theme_mod( "HomePageTestimonialsTitle2" )==''){echo 'Happy With Customers & <span>Clients';}?></span>
            </h3>
        </div>
        <div id="owl-demo2" class="owl-carousel owl-theme mt-4 py-md-2 mb-md-4">
            
            <?php $HomePageTestimonial1Status = get_theme_mod( "HomePageTestimonial1Required","1")?>
            <?php if( $HomePageTestimonial1Status==1 ){?>
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient1Title" ); if(get_theme_mod( "HomePageTestimonialsClient1Title" )==''){echo 'Pellen tesque libero ut justo';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage1" ); if(get_theme_mod( "HomePageTestimonialsMessage1" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient1Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient1Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient1Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi1.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient1Name" );if(get_theme_mod( "HomePageTestimonialsClient1Name" )==''){echo 'Johnson william';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient1Designation" );if(get_theme_mod( "HomePageTestimonialsClient1Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

            <?php $HomePageTestimonial2Status = get_theme_mod( "HomePageTestimonial2Required","1")?>
            <?php if( $HomePageTestimonial2Status==1 ){?>
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient2Title" ); if(get_theme_mod( "HomePageTestimonialsClient2Title" )==''){echo 'Lorem ipsum dolor sit amet';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage2" ); if(get_theme_mod( "HomePageTestimonialsMessage2" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in
                            faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient2Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient2Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient2Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi2.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient2Name" );if(get_theme_mod( "HomePageTestimonialsClient2Name" )==''){echo 'Alexander sakura';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient2Designation" );if(get_theme_mod( "HomePageTestimonialsClient2Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

            <?php $HomePageTestimonial3Status = get_theme_mod( "HomePageTestimonial3Required","1")?>
            <?php if( $HomePageTestimonial3Status==1 ){?>
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient3Title" ); if(get_theme_mod( "HomePageTestimonialsClient3Title" )==''){echo 'Pellen tesque libero ut justo';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage3" ); if(get_theme_mod( "HomePageTestimonialsMessage3" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in
                            faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient3Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient3Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient3Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi3.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient3Name" );if(get_theme_mod( "HomePageTestimonialsClient3Name" )==''){echo 'John wilson';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient3Designation" );if(get_theme_mod( "HomePageTestimonialsClient3Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

            <?php $HomePageTestimonial4Status = get_theme_mod( "HomePageTestimonial4Required","1")?>
            <?php if( $HomePageTestimonial4Status==1 ){?>
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient4Title" ); if(get_theme_mod( "HomePageTestimonialsClient4Title" )==''){echo 'Lorem ipsum dolor sit amet';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage4" ); if(get_theme_mod( "HomePageTestimonialsMessage4" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in
                            faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient4Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient4Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient4Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi1.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient4Name" );if(get_theme_mod( "HomePageTestimonialsClient4Name" )==''){echo 'Julia sakura';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient4Designation" );if(get_theme_mod( "HomePageTestimonialsClient4Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

            <?php $HomePageTestimonial5Status = get_theme_mod( "HomePageTestimonial5Required","1")?>
            <?php if( $HomePageTestimonial5Status==1 ){?>
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient5Title" ); if(get_theme_mod( "HomePageTestimonialsClient5Title" )==''){echo 'Pellen tesque libero ut justo';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage5" ); if(get_theme_mod( "HomePageTestimonialsMessage5" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in
                            faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient5Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient5Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient5Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi2.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient5Name" );if(get_theme_mod( "HomePageTestimonialsClient5Name" )==''){echo 'John wilson';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient5Designation" );if(get_theme_mod( "HomePageTestimonialsClient5Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

            <?php $HomePageTestimonial6Status = get_theme_mod( "HomePageTestimonial6Required","1")?>
            <?php if( $HomePageTestimonial6Status==1 ){?>            
            <div class="item">
                <div class="testimonial-content">
                    <div class="testimonial">
                        <blockquote>
                            <q><?php echo get_theme_mod( "HomePageTestimonialsClient6Title" ); if(get_theme_mod( "HomePageTestimonialsClient6Title" )==''){echo 'Lorem ipsum dolor sit amet.';}?></q>
                        </blockquote>
                        <p><?php echo get_theme_mod( "HomePageTestimonialsMessage6" ); if(get_theme_mod( "HomePageTestimonialsMessage6" )==''){echo 'Lorem ipsum dolor sit amet elit. hic odio tenetur. ante ipsum primis in
                            faucibus orci luctus et ultrices posuere,tesque libero ut justo Semper.';}?></p>
                    </div>
                    <div class="bottom-info mt-4">
                        <a class="comment-img" href="#url">
                        <img src="<?php if(get_theme_mod('HomePageTestimonialsClient6Image')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageTestimonialsClient6Image') );} if(wp_get_attachment_url(get_theme_mod('HomePageTestimonialsClient6Image'))=='') { echo  get_template_directory_uri()."/assets/images/testi3.jpg";  }?>"
                                class="img-responsive" alt="placeholder image"></a>
                        <div class="people-info align-self">
                            <h3><?php echo get_theme_mod( "HomePageTestimonialsClient6Name" );if(get_theme_mod( "HomePageTestimonialsClient6Name" )==''){echo 'Julia sakura';}?></h3>
                            <p class="identity"><?php echo get_theme_mod( "HomePageTestimonialsClient6Designation" );if(get_theme_mod( "HomePageTestimonialsClient6Designation" )==''){echo 'Subtitle';}?></p>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>

        </div>
    </div>
</section>
<?php }?>

<section>
  <?php echo get_theme_mod( "HomePageTestimonialsBottomArea","" );?>
</section>

<!-- //HomePage Testimonials -->



<!-- HomePage Blog Posts -->
<section>
  <?php echo get_theme_mod( "HomePageBlogPostsTopArea","" );?>
</section>

<?php $HomePageBlogPostsStatus = get_theme_mod( "HomePageBlogPostsRequired","1")?>
<?php if( $HomePageBlogPostsStatus==1 ){?>

<div class="w3l-blog-content py-5">
    <div class="container py-md-5 py-4 HomepageBlogPosts">
        <div class="title-main text-center mx-auto mb-5" style="max-width:600px;">
            <p class="mt-2"><?php echo get_theme_mod( "HomePageBlogPostsTitle1" );if(get_theme_mod( "HomePageBlogPostsTitle1" )==''){echo 'Our Blog';}?></p>
            <h3 class="title-style"><?php echo get_theme_mod( "HomePageBlogPostsTitle2" );if(get_theme_mod( "HomePageBlogPostsTitle2" )==''){echo 'Learn more from our latest <span>Blog</span> Posts';}?></h3>
        </div>
        <div class="row">

          <?php global $wp_customize;
          if ( isset( $wp_customize ) ) {
          ?>
          <!-- <img src="<?php if(get_theme_mod('HomePageBlogGridsImage')!=''){ echo wp_get_attachment_url( get_theme_mod('HomePageBlogGridsImage') );} if(wp_get_attachment_url(get_theme_mod('HomePageBlogGridsImage'))=='') { echo get_template_directory_uri()."/assets/images/BlogSection.jpg"; }?>"> -->
          <?php }?>

            <?php
              // the query
              $the_query = new WP_Query( array(
              'posts_per_page' => 2,
              ));
              ?>

            <?php if ( $the_query->have_posts() ) : ?>
            <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
            <div class="col-md-6 mt-5">
                <div class="card-header p-0 position-relative">
                    <a href="<?php the_permalink() ?>" class="zoom d-block">
                        <?php w3layouts_post_thumbnail(); ?>
                    </a>
                    <?php $BlogHomePageCategoryStatus = get_theme_mod( "BlogHomePageCategoryRequired","1")?>
                    <?php if( $BlogHomePageCategoryStatus==1 ){?>
                        <div class="course-price-badge"><?php echo the_category(', ');?></div>
                    <?php }?>
                </div>
                <div class="card-body course-details">
                    <div class="course-meta mb-3">

                        <?php $BlogHomePageAuthStatus = get_theme_mod( "BlogHomePageAuthRequired","1")?>
                        <?php if( $BlogHomePageAuthStatus==1 ){?>
                        <div class="meta-item course-students">
                            <a href="#author"><span class="fas fa-user"></span>
                                <span class="meta-value"></span><?php echo w3layouts_posted();?></a>
                        </div>
                        <?php }?>

                        <!-- <div class="meta-item course-lesson">
                            <span class="fa fa-heart"></span>
                            <span class="meta-value"> 24 </span>
                        </div> -->

                        <?php $BlogHomePageDateStatus = get_theme_mod( "BlogHomePageDateRequired","1")?>
                        <?php if( $BlogHomePageDateStatus==1 ){?>
                            <div class="meta-item course-students">
                                <span class="fa fa-calendar"></span>
                                <span class="meta-value"> <?php echo get_the_date( 'F j, Y' ); ?></span>
                            </div>
                        <?php }?>

                    </div>
                    <a href="<?php the_permalink() ?>" class="course-desc">
                        <?php
                          if ( is_singular() ) :
                            the_title( '', '' );
                          else :
                            the_title( '', '' );
                          endif;
                        ?>
                    </a>
                    
                    <?php $BlogHomePageReadMoreStatus = get_theme_mod( "BlogHomePageReadMoreRequired","1")?>
                    <?php if( $BlogHomePageReadMoreStatus==1 ){?>
                    <div class="blog-bottom-info">
                        <a href="<?php the_permalink() ?>" class="btn btn-style">
                        Read more</a>
                    </div>
                    <?php }?>

                </div>
            </div>
            

            <?php endwhile; ?>
            <?php wp_reset_postdata(); ?>

            <?php else : ?>
            <p><?php __('No Top Pick Posts'); ?></p>
            <?php endif; ?>

          </div>
      </div>
    </div>
</section>
<?php }?>

<section>
  <?php echo get_theme_mod( "HomePageBlogPostsBottomArea","" );?>
</section>
<!-- // HomePage Blog Posts -->




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- Js scripts -->

<!-- move top -->
<button onclick="topFunction()" id="movetop" title="Go to top">
    <span class="fas fa-level-up-alt" aria-hidden="true"></span>
</button>
<script>
    // When the user scrolls down 20px from the top of the document, show the button
    window.onscroll = function () {
        scrollFunction()
    };

    function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            document.getElementById("movetop").style.display = "block";
        } else {
            document.getElementById("movetop").style.display = "none";
        }
    }

    // When the user clicks on the button, scroll to the top of the document
    function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
    }
</script>
<!-- //move top -->

<!-- banner image moving effect -->
<script>
    var lFollowX = 0,
        lFollowY = 0,
        x = 0,
        y = 0,
        friction = 1 / 30;

    function animate() {
        x += (lFollowX - x) * friction;
        y += (lFollowY - y) * friction;

        translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';

        jQuery('.banner-image').css({
            '-webit-transform': translate,
            '-moz-transform': translate,
            'transform': translate
        });

        window.requestAnimationFrame(animate);
    }

    jQuery(window).on('mousemove click', function (e) {

        var lMouseX = Math.max(-100, Math.min(100, jQuery(window).width() / 2 - e.clientX));
        var lMouseY = Math.max(-100, Math.min(100, jQuery(window).height() / 2 - e.clientY));
        lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow
        lFollowY = (10 * lMouseY) / 100;

    });

    animate();
</script>
<!-- //banner image moving effect -->

<!-- counter for stats -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/counter.js"></script>
<!-- //counter for stats -->

<!-- magnific popup -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.min.js"></script>
<script>
    jQuery(document).ready(function () {
      jQuery('.popup-with-zoom-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-zoom-in'
        });

        jQuery('.popup-with-move-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-slide-bottom'
        });
    });
</script>
<!-- //magnific popup -->

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for tesimonials carousel slider -->
<script>
    jQuery(document).ready(function () {
      jQuery("#owl-demo2").owlCarousel({
            loop: true,
            nav: false,
            margin: 50,
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1,
                    nav: false
                },
                736: {
                    items: 1,
                    nav: false
                },
                991: {
                    items: 2,
                    margin: 30,
                    nav: false
                },
                1080: {
                    items: 2,
                    nav: false
                }
            }
        })
    })
</script>
<!-- //script for tesimonials carousel slider -->
<!-- owl carousel -->

<!-- theme switch js (light and dark)-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script>
<script>
    function autoType(elementClass, typingSpeed) {
        var thhis = jQuery(elementClass);
        thhis.css({
            "position": "relative",
            "display": "inline-block"
        });
        thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
        thhis = thhis.find(".text-js");
        var text = thhis.text().trim().split('');
        var amntOfChars = text.length;
        var newString = "";
        thhis.text("|");
        setTimeout(function () {
            thhis.css("opacity", 1);
            thhis.prev().removeAttr("style");
            thhis.text("");
            for (var i = 0; i < amntOfChars; i++) {
                (function (i, char) {
                    setTimeout(function () {
                        newString += char;
                        thhis.text(newString);
                    }, i * typingSpeed);
                })(i + 1, text[i]);
            }
        }, 1500);
    }

    jQuery(document).ready(function () {
        // Now to start autoTyping just call the autoType function with the 
        // class of outer div
        // The second paramter is the speed between each letter is typed.   
        autoType(".type-js", 200);
    });
</script>
<!-- //theme switch js (light and dark)-->

<!-- MENU-JS -->
<script>
    jQuery(window).on("scroll", function () {
        var scroll = jQuery(window).scrollTop();

        if (scroll >= 80) {
          jQuery("#site-header").addClass("nav-fixed");
        } else {
          jQuery("#site-header").removeClass("nav-fixed");
        }
    });

    //Main navigation Active Class Add Remove
    jQuery(".navbar-toggler").on("click", function () {
      jQuery("header").toggleClass("active");
    });
    jQuery(document).on("ready", function () {
        if (jQuery(window).width() > 991) {
          jQuery("header").removeClass("active");
        }
        jQuery(window).on("resize", function () {
            if (jQuery(window).width() > 991) {
              jQuery("header").removeClass("active");
            }
        });
    });
</script>
<!-- //MENU-JS -->

<!-- disable body scroll which navbar is in active -->
<script>
    jQuery(function () {
      jQuery('.navbar-toggler').click(function () {
        jQuery('body').toggleClass('noscroll');
        })
    });
</script>
<!-- //disable body scroll which navbar is in active -->

<!--bootstrap-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>
<!-- //bootstrap-->

<!-- //Js scripts -->

<?php }

get_footer(); ?>