<?php
/**
 * Template Name: Services Page
 */
?>

<?php get_header(); ?>


<div class="header-fixed-space-height">

</div>


 <!-- inner banner -->
 <section class="inner-banner">
    <div class="w3l-breadcrumb">
        <div class="container">
            <?php $ServicesPageMainTitleStatus = get_theme_mod( "ServicesPageMainTitleRequired","1")?>
            <?php if( $ServicesPageMainTitleStatus==1 ){?>
                <h4 class="inner-text-title ServicesBanner font-weight-bold mb-2">
                <?php echo get_theme_mod( "ServicesBannerMainTitle" );if(get_theme_mod( "ServicesBannerMainTitle" )==''){echo 'Services';}?></h4>
            <?php }?>
            
            <!-- Service breadcrumb -->
            <?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
            <?php if( $BreadcrumbsStatus==1 ){?>
            <div class="breadcrumbs-custom-path AllBreadcrumbs">
                <?php get_breadcrumb(); ?>
            </div>
            <?php }?>
            <!-- //Service breadcrumb -->

        </div>
    </div>
</section>
<!-- //inner banner -->



<!-- ServicesPage Services Section -->
<section>
    <?php echo get_theme_mod( "ServicesPageServicesTopArea","" );?>
</section>

<?php $ServicesPageServicesRequir = get_theme_mod( "ServicesPageServicesRequired","1")?>
<?php if( $ServicesPageServicesRequir==1 ){?>

<section class="w3l-bottom-grids-6 py-5" id="services">
    <div class="container py-md-5 py-4 ServicesPageServices">
        <div class="title-main text-center mx-auto mb-5" style="max-width:600px;">
            <p class="mt-2"><?php echo get_theme_mod( "ServicesPageServicesTitle1" );if(get_theme_mod( "ServicesPageServicesTitle1" )==''){echo 'Our Services';}?></p>
            <h3 class="title-style"><?php echo get_theme_mod( "ServicesPageServicesTitle2" );if(get_theme_mod( "ServicesPageServicesTitle2" )==''){echo 'High Performance Services For Multiple <span>Industries</span>';}?></h3>
        </div>
        <div class="row pt-md-4 justify-content-center">

        <?php $ServicesPageService1Requir = get_theme_mod( "ServicesPageService1Required","1")?>
            <?php if( $ServicesPageService1Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService1Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService1Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService1Image'))=='') { echo  get_template_directory_uri()."/assets/images/img1.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService1Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService1Title" );if(get_theme_mod( "ServicesPageService1Title" )==''){echo 'Industrial Construction';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService1Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $ServicesPageService2Requir = get_theme_mod( "ServicesPageService2Required","1")?>
            <?php if( $ServicesPageService2Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-md-0 mt-sm-5 mt-4">
                <div class="area-box active">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService2Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService2Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService2Image'))=='') { echo  get_template_directory_uri()."/assets/images/img3.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService2Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService2Title" );if(get_theme_mod( "ServicesPageService2Title" )==''){echo 'Mechanical Engineering';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService2Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $ServicesPageService3Requir = get_theme_mod( "ServicesPageService3Required","1")?>
            <?php if( $ServicesPageService3Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-lg-0 mt-sm-5 mt-4">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService3Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService3Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService3Image'))=='') { echo  get_template_directory_uri()."/assets/images/img2.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService3Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService3Title" );if(get_theme_mod( "ServicesPageService3Title" )==''){echo 'Electronic Materials';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService3Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>
            
            <?php $ServicesPageService4Requir = get_theme_mod( "ServicesPageService4Required","1")?>
            <?php if( $ServicesPageService4Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-sm-5 mt-4">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService4Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService4Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService4Image'))=='') { echo  get_template_directory_uri()."/assets/images/img4.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService4Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService4Title" );if(get_theme_mod( "ServicesPageService4Title" )==''){echo 'Maintenance Services';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService4Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $ServicesPageService5Requir = get_theme_mod( "ServicesPageService5Required","1")?>
            <?php if( $ServicesPageService5Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-sm-5 mt-4">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService5Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService5Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService5Image'))=='') { echo  get_template_directory_uri()."/assets/images/img5.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService5Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService5Title" );if(get_theme_mod( "ServicesPageService5Title" )==''){echo 'Repair And Renovation';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService5Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

            <?php $ServicesPageService6Requir = get_theme_mod( "ServicesPageService6Required","1")?>
            <?php if( $ServicesPageService6Requir==1 ){?>
            <div class="col-lg-4 col-md-6 grids-feature mt-sm-5 mt-4">
                <div class="area-box">
                    <img class="img-fluid" src="<?php if(get_theme_mod('ServicesPageService6Image')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageService6Image') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageService6Image'))=='') { echo  get_template_directory_uri()."/assets/images/img6.jpg";  }?>" alt=" ">
                    <h4><a href="<?php echo get_theme_mod( "ServicesPageService6Url","#url" ); ?>" class="title-head">
                    <?php echo get_theme_mod( "ServicesPageService6Title" );if(get_theme_mod( "ServicesPageService6Title" )==''){echo 'Chemical Research';}?></a></h4>
                    <p><?php echo get_theme_mod( "ServicesPageService6Content","Amus a ligula quam tesque et libero ut justo, ultrices in. Ut eu leo non. Duis sed et dolor amet." );?></p>
                </div>
            </div>
            <?php } ?>

        </div>
    </div>
</section>
<?php } ?>

<section>
    <?php echo get_theme_mod( "ServicesPageServicesBottomArea","" );?>
</section>
<!-- //ServicesPage Services Section -->


<!-- ServicesPage Cover Section -->
<section>
    <?php echo get_theme_mod( "ServicesPageCoverTopArea","" );?>
</section>

<?php $ServicesPageCoverRequir = get_theme_mod( "ServicesPageCoverRequired","1")?>
<?php if( $ServicesPageCoverRequir==1 ){?>
<section class="w3l-content-bg">
    <style>
    .w3l-content-bg {
        background: url(<?php if(get_theme_mod('ServicesPageCoverBgImage') !='') {
        echo wp_get_attachment_url(get_theme_mod('ServicesPageCoverBgImage'));
        }

        if(wp_get_attachment_url(get_theme_mod('ServicesPageCoverBgImage'))=='') {
        echo get_template_directory_uri()."/assets/images/bg2.jpg";
        }

        ?>);
        background-size: cover;
        background-repeat: no-repeat, no-repeat, no-repeat;
        background-position: center;
        background-attachment: fixed;
        position: relative;
        z-index: 1;
    }
    </style>
    <div class="container py-md-5 py-4 ServicesPageCover">
        <div class="row py-5">
            <div class="col-md-7">
                <div class="left-content-bg">
                    <p class="text-tag"><?php echo get_theme_mod( "ServicesPageCoverTitle1" );if(get_theme_mod( "ServicesPageCoverTitle1" )==''){echo 'Industrial Theme';}?></p>
                    <h4 class="text-head-content"><?php echo get_theme_mod( "ServicesPageCoverTitle2" );if(get_theme_mod( "ServicesPageCoverTitle2" )==''){echo 'You can request for call back, we will call !';}?></h4>
                    <a class="btn btn-style mt-4" href="<?php echo get_theme_mod( "ServicesPageCoverBtnUrl","#url" ); ?>">
                    <?php echo get_theme_mod( "ServicesPageCoverBtnTxt" );if(get_theme_mod( "ServicesPageCoverBtnTxt" )==''){echo 'Request for call back';}?></a>
                </div>
            </div>
        </div>
    </div>
</section>
<?php } ?>

<section>
    <?php echo get_theme_mod( "ServicesPageCoverBottomArea","" );?>
</section>
<!-- //ServicesPage Cover Section -->


<!-- ServicesPage Features Section -->
<section>
    <?php echo get_theme_mod( "ServicesPageFeaturesTopArea","" );?>
</section>

<?php $ServicesPageFeaturesRequir = get_theme_mod( "ServicesPageFeaturesRequired","1")?>
<?php if( $ServicesPageFeaturesRequir==1 ){?>
<section class="w3l-content-4 py-5" id="features">
    <div class="content-4-main py-lg-5 py-md-4 py-2">
        <div class="container ServicesPageFeatures">
            <div class="content-info-in row">
                <div class="content-left col-lg-6">
                    <img src="<?php if(get_theme_mod('ServicesPageFeaturesImage')!=''){ echo wp_get_attachment_url( get_theme_mod('ServicesPageFeaturesImage') );} if(wp_get_attachment_url(get_theme_mod('ServicesPageFeaturesImage'))=='') { echo  get_template_directory_uri()."/assets/images/services.jpg";  }?>" alt="" class="img-fluid img-responsive">
                </div>
                <div class="content-right col-lg-6 pl-lg-4 mt-lg-0 mt-md-5 mt-5 align-self">
                    
                  <?php $ServicesPageFeature1Requir = get_theme_mod( "ServicesPageFeature1Required","1")?>
                  <?php if( $ServicesPageFeature1Requir==1 ){?>
                    <div class="row content4-right-grids mb-lg-5 mb-5">
                        <div class="col-2 content4-right-icon">
                            <div class="content4-icon">
                                <i class="<?php echo get_theme_mod( "ServicesPageFeature1Icon" );if(get_theme_mod( "ServicesPageFeature1Icon" )==''){echo 'fas fa-fire';}?>"></i>
                            </div>
                        </div>
                        <div class="col-10 content4-right-info">
                            <h6><a href="<?php echo get_theme_mod( "ServicesPageFeature1Url","#url" );?>">
                            <?php echo get_theme_mod( "ServicesPageFeature1Title" );if(get_theme_mod( "ServicesPageFeature1Title" )==''){echo 'Research & Analysis';}?></a>
                            </h6>
                            <p><?php echo get_theme_mod( "ServicesPageFeature1Content","Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing." );?></p>
                        </div>
                    </div>
                  <?php } ?>

                  <?php $ServicesPageFeature2Requir = get_theme_mod( "ServicesPageFeature2Required","1")?>
                  <?php if( $ServicesPageFeature2Requir==1 ){?>
                    <div class="row content4-right-grids mb-lg-5 mb-5">
                        <div class="col-2 content4-right-icon">
                            <div class="content4-icon">
                                <span class="<?php echo get_theme_mod( "ServicesPageFeature2Icon" );if(get_theme_mod( "ServicesPageFeature2Icon" )==''){echo 'fa fa-cogs';}?>"></span>
                            </div>
                        </div>
                        <div class="col-10 content4-right-info">
                            <h6><a href="<?php echo get_theme_mod( "ServicesPageFeature2Url","#url" );?>">
                            <?php echo get_theme_mod( "ServicesPageFeature2Title" );if(get_theme_mod( "ServicesPageFeature2Title" )==''){echo 'The Best Industry Services';}?></a>
                            </h6>
                            <p><?php echo get_theme_mod( "ServicesPageFeature2Content","Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing." );?></p>
                        </div>
                    </div>
                  <?php } ?>

                  <?php $ServicesPageFeature3Requir = get_theme_mod( "ServicesPageFeature3Required","1")?>
                  <?php if( $ServicesPageFeature3Requir==1 ){?>
                    <div class="row content4-right-grids">
                        <div class="col-2 content4-right-icon">
                            <div class="content4-icon">
                                <i class="<?php echo get_theme_mod( "ServicesPageFeature3Icon" );if(get_theme_mod( "ServicesPageFeature3Icon" )==''){echo 'fas fa-solar-panel';}?>"></i>
                            </div>
                        </div>
                        <div class="col-10 content4-right-info">
                            <h6><a href="<?php echo get_theme_mod( "ServicesPageFeature3Url","#url" );?>">
                            <?php echo get_theme_mod( "ServicesPageFeature3Title" );if(get_theme_mod( "ServicesPageFeature3Title" )==''){echo 'Quality Products';}?></a>
                            </h6>
                            <p><?php echo get_theme_mod( "ServicesPageFeature3Content","Lorem ipsum dolor sit amet,Ea consequuntur illum facere aperiam sequi optio consectetur adipisicing." );?></p>
                        </div>
                    </div>
                  <?php } ?>

                </div>
            </div>
        </div>
    </div>
</section>
<?php } ?>

<section>
    <?php echo get_theme_mod( "ServicesPageFeaturesBottomArea","" );?>
</section>
<!-- //ServicesPage Features Section -->




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- Js scripts -->

<!-- move top -->
<button onclick="topFunction()" id="movetop" title="Go to top">
    <span class="fas fa-level-up-alt" aria-hidden="true"></span>
</button>
<script>
    // When the user scrolls down 20px from the top of the document, show the button
    window.onscroll = function () {
        scrollFunction()
    };

    function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            document.getElementById("movetop").style.display = "block";
        } else {
            document.getElementById("movetop").style.display = "none";
        }
    }

    // When the user clicks on the button, scroll to the top of the document
    function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
    }
</script>
<!-- //move top -->

<!-- banner image moving effect -->
<script>
    var lFollowX = 0,
        lFollowY = 0,
        x = 0,
        y = 0,
        friction = 1 / 30;

    function animate() {
        x += (lFollowX - x) * friction;
        y += (lFollowY - y) * friction;

        translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';

        jQuery('.banner-image').css({
            '-webit-transform': translate,
            '-moz-transform': translate,
            'transform': translate
        });

        window.requestAnimationFrame(animate);
    }

    jQuery(window).on('mousemove click', function (e) {

        var lMouseX = Math.max(-100, Math.min(100, jQuery(window).width() / 2 - e.clientX));
        var lMouseY = Math.max(-100, Math.min(100, jQuery(window).height() / 2 - e.clientY));
        lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow
        lFollowY = (10 * lMouseY) / 100;

    });

    animate();
</script>
<!-- //banner image moving effect -->

<!-- counter for stats -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/counter.js"></script>
<!-- //counter for stats -->

<!-- magnific popup -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.min.js"></script>
<script>
    jQuery(document).ready(function () {
      jQuery('.popup-with-zoom-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-zoom-in'
        });

        jQuery('.popup-with-move-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-slide-bottom'
        });
    });
</script>
<!-- //magnific popup -->

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for tesimonials carousel slider -->
<script>
    jQuery(document).ready(function () {
      jQuery("#owl-demo2").owlCarousel({
            loop: true,
            nav: false,
            margin: 50,
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1,
                    nav: false
                },
                736: {
                    items: 1,
                    nav: false
                },
                991: {
                    items: 2,
                    margin: 30,
                    nav: false
                },
                1080: {
                    items: 2,
                    nav: false
                }
            }
        })
    })
</script>
<!-- //script for tesimonials carousel slider -->
<!-- owl carousel -->

<!-- theme switch js (light and dark)-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script>
<script>
    function autoType(elementClass, typingSpeed) {
        var thhis = jQuery(elementClass);
        thhis.css({
            "position": "relative",
            "display": "inline-block"
        });
        thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
        thhis = thhis.find(".text-js");
        var text = thhis.text().trim().split('');
        var amntOfChars = text.length;
        var newString = "";
        thhis.text("|");
        setTimeout(function () {
            thhis.css("opacity", 1);
            thhis.prev().removeAttr("style");
            thhis.text("");
            for (var i = 0; i < amntOfChars; i++) {
                (function (i, char) {
                    setTimeout(function () {
                        newString += char;
                        thhis.text(newString);
                    }, i * typingSpeed);
                })(i + 1, text[i]);
            }
        }, 1500);
    }

    jQuery(document).ready(function () {
        // Now to start autoTyping just call the autoType function with the 
        // class of outer div
        // The second paramter is the speed between each letter is typed.   
        autoType(".type-js", 200);
    });
</script>
<!-- //theme switch js (light and dark)-->

<!-- MENU-JS -->
<script>
    jQuery(window).on("scroll", function () {
        var scroll = jQuery(window).scrollTop();

        if (scroll >= 80) {
          jQuery("#site-header").addClass("nav-fixed");
        } else {
          jQuery("#site-header").removeClass("nav-fixed");
        }
    });

    //Main navigation Active Class Add Remove
    jQuery(".navbar-toggler").on("click", function () {
      jQuery("header").toggleClass("active");
    });
    jQuery(document).on("ready", function () {
        if (jQuery(window).width() > 991) {
          jQuery("header").removeClass("active");
        }
        jQuery(window).on("resize", function () {
            if (jQuery(window).width() > 991) {
              jQuery("header").removeClass("active");
            }
        });
    });
</script>
<!-- //MENU-JS -->

<!-- disable body scroll which navbar is in active -->
<script>
    jQuery(function () {
      jQuery('.navbar-toggler').click(function () {
        jQuery('body').toggleClass('noscroll');
        })
    });
</script>
<!-- //disable body scroll which navbar is in active -->

<!--bootstrap-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>
<!-- //bootstrap-->

<!-- //Js scripts -->

<?php }

get_footer(); ?>